<link rel="import" href="../polymer/polymer-element.html">
 
  

<dom-module id="proyecto-final">
  <template>
 
  <link rel="import" href="../../paper-dropdown-menu/paper-dropdown-menu.html">
  <link rel="import" href="../../paper-item/paper-item.html">
  <link rel="import" href="../../paper-tabs/paper-tabs.html">
  <link rel="import" href="../../iron-pages/iron-pages.html">
  <link rel="import" href="../../iron-collapse/iron-collapse.html">
    <style>
      @media only screen and (min-width:1000px) and (max-width:1700px){
      :host {
        display: block;
      }
      .header-data{
        color: #E5006B;
        background: #E9E9E9;
      }
      .data-section{
        border: 1px solid #F1F1F1;
      }
      .btn-deactive{
        border: 1px solid #E5006B;
        color: #E5006B;
      }
      .btnsave{
        background: #E5006B;
        color: white;
        border: none;
      }
      .charlist{
        color: #C9C9C9;
      }
      .btnsave2{
        text-align: center;
      }
      .btn2save{
        background: #E5006B;
        color: white;
        border: none;
        margin-left: 30px;
      }
      .lastname{
        padding-left: 180px;
      }
      .tel{
        padding-left: 145px;
      }
      .birth{
        padding-left: 100px;
      }
      .psw{
        padding-left: 120px;
      }
      .git{
        padding-left: 170px;
      }
      .linked{
        padding-left: 200px;
      }
      .habitualres, .profesionaldata{
        border: 1px solid #F1F1F1; 
        background: #E9E9E9; 
        color: #E5006B;    
      }
      .cp{
        padding-left: 180px;
      }
      .bprovince{
        padding-left: 150px;
      }
      .bcountry{
        padding-left: 110px;
      }
      .zh{
        padding-left: 300px;
      }
      .check{
        color: #8E8E8E;
      }
      .company{
        padding-left: 120px;
      }
      input#email-access{
        width: 200px;
      }
      input#data-last{
        margin-left: 118px;
      }
      input#number-data{
        margin-left: 36px;
      }
      .select1{
        margin-left: 30px;
      }
      input#cod, input#password-confirm{
        margin-left: 110px;
      }
      input#province, .btn-save{
        margin-left: 40px;
      }
      input#country{
        margin-left: 35px;
      }
      .horario{
        margin-left: 70px;
      }
      input#company{
        margin-left: 85px;
      }
      input#git-username, #linkedin{
        margin-left: 150px;
      }
      .txtarea{
        width: 80%;
        height: 80px;
      }
      #btn-save2{
        margin-left: 200px;
      }
      .tab{
        font-weight: bolder;
        background-color: #E9E9E9;
        color: #E5006B;
        --paper-tabs-selection-bar-color: #E5006B;
      }
      paper-tab.iron-selected {
        color: #D29FF0;
      }
      .sectioni{
        color: #D29FF0;
        font-size: 40px;
      }
    }


    @media only screen and (min-width:259px) and (max-width:1000px){
      :host {
        display: block;
      }
      .header-data{
        color: #E5006B;
        background: #E9E9E9;
      }
      .data-section{
        border: 1px solid #F1F1F1;
      }
      .btn-deactive{
        border: 1px solid #E5006B;
        color: #E5006B;
      }
      .btnsave{
        background: #E5006B;
        color: white;
        border: none;
        margin-left: 150px;
      }
      .charlist{
        color: #C9C9C9;
      }
      .btnsave2{
        text-align: center;
      }
      .btn2save{
        background: #E5006B;
        color: white;
        border: none;
        margin-left: 30px;
      }
      .lastname{
        padding-left: 180px;
      }
      .tel{
        padding-left: 70px;
      }
      .birth{
        padding-left: 100px;
      }
      .psw{
        padding-left: 120px;
      }
      .git{
        padding-left: 120px;
      }
      .linked{
        padding-left: 150px;
      }
      .habitualres, .profesionaldata{
        border: 1px solid #F1F1F1; 
        background: #E9E9E9; 
        color: #E5006B;    
      }
      .cp{
        padding-left: 180px;
      }
      .bprovince{
        padding-left: 100px;
      }
      .bcountry{
        padding-left: 80px;
      }
      .zh{
        padding-left: 250px;
      }
      .check{
        color: #8E8E8E;
      }
      .company{
        padding-left: 85px;
      }
      input#email-access{
        width: 200px;
      }
      input#data-last{
        margin-left: 118px;
      }
      input#number-data{
        margin-left: 20px;
        width: 70px;
      }
      .select1{
        margin-left: 20px;
      }
      input#cod, input#password-confirm{
        margin-left: 100px;
      }
      .btn-save{
        margin-left: 40px;
      }
      input#country{
        margin-left: 35px;
        width: 90px;
      }
      .horario{
        margin-left: 70px;
      }
      input#company{
        margin-left: 50px;
      }
      input#git-username, #linkedin{
        margin-left: 100px;
      }
      .txtarea{
        width: 80%;
        height: 80px;
      }
      #btn-save2{
        margin-left: 200px;
      }
      #dni-data{
        width: 70px;
      }
      #city{
        width: 90px;
      }
      #province{
        width: 90px;
        margin-left: 30px;
      }
      #yes{
        font-size: 10px;
      }
      .tab{
        font-weight: bolder;
        background-color: #E9E9E9;
        color: #E5006B;
        --paper-tabs-selection-bar-color: #E5006B;
      }
      paper-tab.iron-selected {
        color: #D29FF0;
      }
      .sectioni{
        color: #D29FF0;
        font-size: 40px;
      }

    }

    
    </style>
    <header id="header"><strong>MY PROFILE</strong></header>
    <hr>


<paper-tabs class="tab" selected="{{selected}}">
  <paper-tab>My Data</paper-tab>
  <paper-tab>Acces Data</paper-tab>
  <paper-tab>My Interests</paper-tab>
  <paper-tab>About me</paper-tab>
</paper-tabs>
<br>


<iron-pages selected="{{selected}}">
  <div id="personal-data">

    <section class="data-section">
      <header class="header-data">
        <h3>Personal Data</h3>
      </header>
      <b>Full Name*</b>
      <b class="lastname">Last Name*</b>
      <br><br>
      <input type="text" id="data-name" placeholder="Enter your name" required>
      <input type="text" id="data-last" placeholder="Enter your last name" required>
      <br><br>
      <b>DNI</b>
      <b class="tel">Telephone</b>
      <b class="birth">Birthdate</b>
      <br><br>
      <input type="text" id="dni-data" required>
      <input type="number" id="number-data" minlength="10" required>
      <select name="day" class="select1" id="day">
         <option value="0">Day</option> 
         <option value="1">1</option> 
         <option value="2">2</option> 
         <option value="3">3</option>
         <option value="4">4</option> 
         <option value="5">5</option> 
         <option value="6">6</option> 
         <option value="7">7</option> 
         <option value="8">8</option> 
         <option value="9">9</option>
         <option value="10">10</option> 
         <option value="11">11</option> 
         <option value="12">12</option> 
         <option value="13">13</option> 
         <option value="14">14</option> 
         <option value="15">15</option>
         <option value="16">16</option> 
         <option value="17">17</option> 
         <option value="18">18</option> 
         <option value="19">19</option> 
         <option value="20">20</option> 
         <option value="21">21</option>
         <option value="22">22</option> 
         <option value="23">23</option> 
         <option value="24">24</option>
         <option value="25">25</option> 
         <option value="26">26</option> 
         <option value="27">27</option>
         <option value="28">28</option> 
         <option value="29">29</option> 
         <option value="30">30</option>  
         <option value="31">31</option>
      </select>
      <select id="month">
         <option value="0">Month</option> 
         <option value="1">January</option> 
         <option value="2">February</option> 
         <option value="3">March</option>
         <option value="4">April</option> 
         <option value="5">May</option> 
         <option value="6">June</option> 
         <option value="7">July</option> 
         <option value="8">August</option> 
         <option value="9">September</option>
         <option value="10">October</option> 
         <option value="11">November</option> 
         <option value="12">December</option> 
      </select>
      <select id="year">
         <option value="0">Year</option> 
         <option value="1">2008</option> 
         <option value="2">2009</option> 
         <option value="3">2010</option>
         <option value="4">2011</option> 
         <option value="5">2012</option> 
         <option value="6">2013</option> 
         <option value="7">2014</option> 
         <option value="8">2015</option> 
         <option value="9">2016</option>
         <option value="10">2017</option> 
         <option value="11">2018</option> 
         <option value="12">2019</option> 
         <option value="13">2020</option>
      </select>
      <br><br><br>

      <div class="habitualres">
      <paper-tabs class="tab" selected="{{selected2}}">
        <paper-tab>Habitual Residence ➤</paper-tab>
      </paper-tabs>
      </div>
      <br>
      <iron-pages selected="{{selected2}}">
        <div class="data-section">
          <b>Address</b>
          <b class="cp">Postal Code</b>
          <br><br>
          <input type="text" id="dress" required>
          <input type="number" id="cod" required>
          <br><br>
          <b>City</b>
          <b class="bprovince">Province</b>
          <b class="bcountry">Country</b>
          <br><br>
          <input type="text" id="city" required>
          <input type="text" id="province" required>
          <input type="text" id="country" required>
          <br><br>
          <b>Tax Free</b>
          <b class="zh">Time Zone*</b>
          <br><br>
          <input type="checkbox" id="check"> 
          <b class="check" id="yes">Yes. Canary residents only, Ceuta or Melilla</b>
          <select id="horario" class="horario">
             <option value="0">Time Zone</option> 
             <option value="1">Europe/Prague</option> 
             <option value="2">Méx. (GMT-5)</option> 
             <option value="3">UTC+10 (AEST)</option>
             <option value="4">UTC+2 (EET)</option>
          </select>
        </div>
      </iron-pages>
      <br>


      <div class="profesionaldata">
      <paper-tabs class="tab" selected="{{selected3}}">
        <paper-tab>Profesional Data ➤</paper-tab>
      </paper-tabs>
      </div>
      <br>
      <iron-pages selected="{{selected3}}">
        <div class="data-section">
          <b>What studies do you have?</b>
          <b class="company">Company</b>
          <br><br>
          <select id="study">
             <option value="0">✓ ---------</option> 
             <option value="1">University students</option> 
             <option value="2">Non-university technical studies</option> 
             <option value="3">Baccalaureate</option>
             <option value="4">High school</option>
             <option value="5">Elementary education</option>
          </select>
          <input type="text" id="company" required>
        </div>
      </iron-pages>
      <br><br>
        <button type="submit" class="btnsave" id="btnsave">SAVE CHANGES</button>
    </section>
  </div>



  <div>
    <section class="access-section">
      <b>Email*</b>
      <br><br>
      <input type="email" id="email-access" value="maricruz.pizana@ids.com.mx" readonly="readonly" disabled>
      <br><br>
      <b>New password*</b>
      <b class="psw">New password(confirmation)*</b>
      <br><br>
      <input type="password" id="password" placeholder="Enter the new password" required>

      <input type="password" id="password-confirm" placeholder="Enter the new password (confirm)" minlength="9" required>
      <br><br>
      <ul class="charlist">
        <li>The password can't be the same as your information.</li>
        <li>The password must contain at least 9 characters.</li>
        <li>The password must be the key used.</li>
        <li>The password can't be completely numeric. </li>
      </ul>
      <br>
      <button class="btn-deactive" on-click="salir">DEACTIVATE ACCOUNT</button>
      <button class="btn2save" on-click="saveit3">SAVE CHANGES</button>
    </section>
  </div>



  <div class="sectioni">Section for my interests :)</div>


    <div>
      <section>
        <b>Twitter username</b>
      <b class="git">Github username</b>
      <br><br>
      <input type="text" id="twitter" required>
      <input type="text" id="git-username" required="">
      <br><br>
      <b>Facebook url</b>
      <b class="linked">Linkedin url</b>
      <br><br>
      <input type="text" id="facebook" required>
      <input type="text" id="linkedin" required>
      <br><br>
      <b>Website url</b>
      <br><br>
      <input type="text" id="website" required>
      <br><br>
      <b>Bio</b>
      <br><br>
      <textarea class="txtarea" id="area"></textarea>
      <br><br><br>
      <button id="btnsave2" class="btn2save">SAVE CHANGES</button>
      </section>
    </div>

  </iron-pages>


        <br><br>

  </template>

  <script>
    /**
     * `proyecto-final`
     * 
     *
     * @customElement
     * @polymer
     * @demo demo/index.html
     */
    class ProyectoFinal extends Polymer.Element {
      static get is() { return 'proyecto-final'; }
      static get properties() {
        return {
          prop1: {
            type: String,
            value: 'proyecto-final'
          }
        };
      }
      ready(){
        super.ready();
        this.$.btnsave.addEventListener('click', e =>{this.saveit1()});
        this.$.btnsave2.addEventListener('click', e =>{this.saveit2()});
        
        
      }
      saveit1(){
        
        let name = this.shadowRoot.querySelector("#data-name").value;
        let last = this.shadowRoot.querySelector("#data-last").value;
        let dni = this.shadowRoot.querySelector("#dni-data").value;
        let numberd = this.shadowRoot.querySelector("#number-data").value;
        let day = this.shadowRoot.querySelector("#day").value;
        let month = this.shadowRoot.querySelector("#month").value;
        let year = this.shadowRoot.querySelector("#year").value;
        let dress = this.shadowRoot.querySelector("#dress").value;
        let cod = this.shadowRoot.querySelector("#cod").value;
        let city = this.shadowRoot.querySelector("#city").value;
        let province = this.shadowRoot.querySelector("#province").value;
        let country = this.shadowRoot.querySelector("#country").value;
        let horario = this.shadowRoot.querySelector("#horario").value;
        let study = this.shadowRoot.querySelector("#study").value;
        let company = this.shadowRoot.querySelector("#company").value;

        if(name == 0 || name == null){
          alert('Enter your name');
        }else if(last == 0 || name == null){
          alert('Enter your last name');
        }else if(horario == 0){
          alert('Select time zone')
        }else{
        var dataarray = new Array();
        dataarray[0]=name;
        dataarray[1]=last;
        dataarray[2]=dni;
        dataarray[3]=numberd;
        dataarray[4]=day;
        dataarray[5]=month;
        dataarray[6]=year;
        dataarray[7]=dress;
        dataarray[8]=cod;
        dataarray[9]=city;
        dataarray[10]=province;
        dataarray[11]=country;
        dataarray[12]=horario;
        dataarray[13]=study;
        dataarray[14]=company;

        console.log(dataarray);
        }
      }

      salir(){
        alert('Do you want to go out?');
        window.location.replace("login.html");
      }

      saveit2(){
        let array2 = new Array();
        let twitter = this.shadowRoot.querySelector("#twitter").value;
        let git = this.shadowRoot.querySelector("#git-username").value;
        let fb = this.shadowRoot.querySelector("#facebook").value;
        let linkedin = this.shadowRoot.querySelector("#linkedin").value;
        let website = this.shadowRoot.querySelector("#website").value;
        let area = this.shadowRoot.querySelector("#area").value;
        array2[0] = twitter;
        array2[1] = git;
        array2[2] = fb;
        array2[3] = linkedin;
        array2[4] = website;
        array2[5] = area;
        console.log(array2);

      }
      saveit3(){
        let password = this.shadowRoot.querySelector("#password").value;
        let password2 = this.shadowRoot.querySelector("#password-confirm").value;
        
        if(password == password2){
          let array3 = new Array();
          array3[0] = password;
          array3[1] = password2;
          console.log(array3);
        }else if(password.length < 9 && password2.length < 9){
          alert('The password must contain at least 9 characters.');
        }
        else{
          alert('Password do not match');
        } 
      }
    }

    window.customElements.define(ProyectoFinal.is, ProyectoFinal);
  </script>
</dom-module>
